package io.tswf.transmutations.common.annotation;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

@Retention(RetentionPolicy.RUNTIME)
public @interface Constant {
    int intValue() default 0;
    double doubleValue() default 0.0;
    float floatValue() default 0.0f;
    long longValue() default 0L;
    short shortValue() default 0;
    byte byteValue() default 0;
    char charValue() default '\u0000';
    boolean booleanValue() default false;
    String stringValue() default "";
}
